# Uses of Interface
org.w3c.dom.ranges.Range

Packages that use Range
Package
Description
org.w3c.dom.ranges
Provides interfaces for DOM Level 2 Range.

## Uses of Range in org.w3c.dom.ranges

Methods in org.w3c.dom.ranges that return Range
Modifier and Type
Method
Description
`Range`
Range.`cloneRange()`
Produces a new Range whose boundary-points are equal to the boundary-points of the Range.
`Range`
DocumentRange.`createRange()`
This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.
Methods in org.w3c.dom.ranges with parameters of type Range
Modifier and Type
Method
Description
`short`
Range.`compareBoundaryPoints​(short how, Range sourceRange)`
Compare the boundary-points of two Ranges in a document.